Ohodnoceno 5 z 5 hvězdiček

Still works in FF22! Please update the install.rdf? :)

Tato recenze je pro předchozí verzi doplňku (2.6.1-signed). 

I've updated the compatibility on AMO...Firefox should allow you to install from there with no problem.